%define major 0
%define libname %mklibname pstoedit %{major}
%define develname %mklibname pstoedit -d

Summary:	Translates PostScript/PDF graphics into other vector formats
Name:		pstoedit
Version:	3.62
%define subrel 1
Release:	%mkrel 5
License:	GPL
Source: 	http://prdownloads.sourceforge.net/pstoedit/pstoedit-%{version}.tar.gz
Patch1: 	pstoedit-3.62-module-build.patch
URL:		http://www.pstoedit.net/pstoedit
Group:		Graphics/Editors and Converters
BuildRequires:	bison
BuildRequires:	ghostscript
BuildRequires:  imagemagick-devel
BuildRequires:	plotutils-devel
BuildRequires:	multiarch-utils >= 1.0.3
Requires:	%{libname} = %{version}
# not compatible
BuildConflicts:	ming-devel

%description
pstoedit translates PostScript and PDF graphics into other vector formats.
Currently pstoedit can generate the following formats:

	- Tgif .obj format (for tgif version >= 3)
	- fig format for xfig
	- pdf Adobe Portable Document Format
	- gnuplot format
	- Flattened PostScript (with or without Bezier curves)
	- DXF - CAD exchange format
	- LWO - LightWave 3D
	- RIB - RenderMan
	- RPL - Real3D
	- Idraw format (a special format of EPS that Idraw can read)
	- Tcl/Tk
	- HPGL
	- AI - Adobe Illustrator Format (based on ps2ai.ps, not a real pstoedit)
	- WMF - Windows Meta Files
	- PIC format for troff/groff
	- MetaPost format per usage with TeX/LaTeX
	- LaTeX2e picture
	- Kontour
	- GNU Metafile (plotutils/libplot)
	- Sketch (http://sketch.sourceforge.net)
	- Mathematica
	- trough ImageMagick to any format supported by ImageMagick

%package -n %{libname}
Summary:	Pstoedit libraries
Group:		System/Libraries

%description -n %{libname}
This package contains the libraries needed to run programs dynamically
linked with pstoedit libraries.

%package -n %{develname}
Summary:	Static libraries and header files for pstoedit development
Group:		Development/C
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Obsoletes:	%{_lib}pstoedit0-devel < %{version}-%{release}

%description -n %{develname}
If you want to create applications that will use pstoedit code or
APIs, you'll need to install these packages as well as pstoedit. This
additional package isn't necessary if you simply want to use pstoedit.

%prep
%setup -q
%patch1 -p1 -b .link

# clean up permissions
find -type f -perm +111 | xargs -r file | grep -v script | cut -d: -f1| xargs -r chmod 0644

%build
autoreconf -fi
%configure2_5x --disable-static
%make

%install
%makeinstall_std

install -D -m 644 doc/pstoedit.1 %{buildroot}%{_mandir}/man1/pstoedit.1

# remove unneeded files
find %{buildroot} -name *.la -delete

%files
%doc doc/changelog.htm doc/index.htm doc/readme.txt
%doc readme.install examples
%{_bindir}/pstoedit
%{_datadir}/pstoedit
%{_mandir}/man1/*.1*

%files -n %{libname}
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*
%{_libdir}/pstoedit/*.so

%files -n %{develname}
%doc doc/pstoedit.htm
%{_includedir}/pstoedit
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*.m4


%changelog
* Tue Jun 21 2016 shlomif <shlomif> 3.62-5.1.mga5
+ Revision: 1037111
- Rebuild for the new libMagick++

* Wed Oct 15 2014 umeabot <umeabot> 3.62-5.mga5
+ Revision: 741790
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.62-4.mga5
+ Revision: 687819
- Mageia 5 Mass Rebuild

* Sat Aug 23 2014 fwang <fwang> 3.62-3.mga5
+ Revision: 666795
- rebuild for imagemagick

* Mon Oct 21 2013 umeabot <umeabot> 3.62-2.mga4
+ Revision: 540754
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 lmenut <lmenut> 3.62-1.mga4
+ Revision: 494280
- cleanup spec
- fix release

* Wed Oct 09 2013 lmenut <lmenut> 3.62-0.mga4
+ Revision: 494274
- update to 3.62
  rediff patch 1

* Thu Sep 19 2013 fwang <fwang> 3.61-6.mga4
+ Revision: 481475
- rebuild for new imagemagick

* Wed Aug 07 2013 fwang <fwang> 3.61-5.mga4
+ Revision: 464407
- rebuild for new imagemagick

* Tue May 28 2013 fwang <fwang> 3.61-4.mga4
+ Revision: 429146
- rebuild for new imagemagick

* Sun Jan 13 2013 umeabot <umeabot> 3.61-3.mga3
+ Revision: 378285
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + cjw <cjw>
    - don't patch configure

  + boklm <boklm>
    - Update group: Graphics/Editors -> Graphics/Editors and Converters

* Fri Dec 14 2012 fwang <fwang> 3.61-2.mga3
+ Revision: 330740
- rebuild for new imagemagick

* Wed Nov 21 2012 lmenut <lmenut> 3.61-1.mga3
+ Revision: 320374
- update to 3.61

* Fri Oct 12 2012 fwang <fwang> 3.60-1.mga3
+ Revision: 305068
- update rpm group

* Fri Mar 02 2012 lmenut <lmenut> 3.60-1.mga2
+ Revision: 216976
- update to 3.60
  + rediff patch 1

* Tue Sep 13 2011 fwang <fwang> 3.50-5.mga2
+ Revision: 142828
- rebuild for new libpng

* Sat Feb 12 2011 ahmad <ahmad> 3.50-4.mga1
+ Revision: 50699
- drop old/unneeded scriptlets
- imported package pstoedit

